<template>
  <div class="text-white px-4 py-3 rounded-lg relative" :class="classes">
    <span class="message-box block sm:inline">{{ text }}</span>
  </div>
</template>

<script>
export default {
  props: {
    type: {
      type: String,
      value: "error" | "info" | "success" | "warning"
    },
    text: String
  },
  computed: {
    classes() {
      switch (this.type) {
        case "error":
          return "error";
        case "success":
          return "success";
        case "warning":
          return "warning";
        case "info":
          return "info";
        case "save_template":
          return "save_template";
        default:
          return "other";
      }
    }
  }
};
</script>

<style scoped>
.message-box {
  border: 0.5px;
}

.error {
  border-color: red;
  color: red;
  max-width: 400px;
}

.success {
  border-color: teal;
  max-width: 400px;
}

.warning {
  border-color: orange;
  max-width: 400px;
}

.info {
  border-color: rgb(54, 54, 216);
  max-width: 400px;
}

.other {
  border-color: gray;
}
</style>
